import request from "@/utils/request";

// 查询重点领域监管列表
export function listDomain(query) {
  return request({
    url: "/zongzhi/domain/list",
    method: "get",
    params: query,
  });
}

// 查询重点领域监管详细
export function getDomain(id) {
  return request({
    url: "/zongzhi/domain/" + id,
    method: "get",
  });
}

// 新增重点领域监管
export function addDomain(data) {
  return request({
    url: "/zongzhi/domain",
    method: "post",
    data: data,
  });
}

// 修改重点领域监管
export function updateDomain(data) {
  return request({
    url: "/zongzhi/domain",
    method: "put",
    data: data,
  });
}

// 删除重点领域监管
export function delDomain(id) {
  return request({
    url: "/zongzhi/domain/" + id,
    method: "delete",
  });
}

// 导出重点领域监管
export function exportDomain(data) {
  return request({
    url: "/zongzhi/domain/export",
    method: "post",
    data,
  });
}
